diff --git a/runtime/BrowserWindow.cpp b/runtime/BrowserWindow.cpp
index 5419c0e..684cb27 100644
--- a/runtime/BrowserWindow.cpp
+++ b/runtime/BrowserWindow.cpp
@@ -125,7 +125,7 @@ void BrowserWindow::createActions()
     connect(exitShortcut, SIGNAL(activated()), this, SLOT(close()));
 
     // About box
-    aboutShortcut = new QShortcut(QKeySequence(Qt::CTRL + Qt::SHIFT + Qt::Key_A), this);
+    aboutShortcut = new QShortcut(QKeySequence(Qt::ALT + Qt::SHIFT + Qt::Key_A), this);
     aboutShortcut->setContext(Qt::ApplicationShortcut);
     connect(aboutShortcut, SIGNAL(activated()), this, SLOT(about()));
 }
diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
index 92579f1..2a269c0 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
@@ -176,7 +176,7 @@ define(
         "click #btn-explain-buffers": "on_explain_buffers",
         "click #btn-explain-timing": "on_explain_timing",
         "change .limit": "on_limit_change",
-        "keyup": "keyAction"
+        "keydown": "keyAction"
       },
 
       // This function is used to render the template.
@@ -1020,7 +1020,7 @@ define(
             // char e/E
             // Execute query.
             this.on_flash(ev);
-          } else if(ev.keyCode == 88){
+          } else if(ev.keyCode == 88) {
             // char x/X
             // Explain query.
             this.on_explain(ev);
